0
0 Items$0.00

15mH Radial Leaded Power Inductors :

13 Products Found
Find a huge range of 15mH Radial Leaded Power Inductors at Newark Electronics Mexico. We stock a wide range of Radial Leaded Power Inductors, such as 1mH, 100µH, 470µH & 22µH Radial Leaded Power Inductors from the worlds top manufacturers including: Murata Power Solutions, Coilcraft, Bourns, Wurth Elektronik & Murata

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price for
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
92AH6525

RoHS

Each
1+$16.560
5+$15.600
10+$14.640
25+$13.310
100+$12.460
More Pricing...
1140 Series
15mH
-
900mA
1.7A
3.39ohm
± 10%
50AJ6438

RoHS

Date/Lot Code

Each
1+$6.630
25+$4.890
100+$4.500
250+$4.330
500+$4.210
More Pricing...
1400 Series
15mH
Unshielded
500mA
-
3.74ohm
± 10%
43AC4111

RoHS

MURATA POWER SOLUTIONS
Each
1+$1.600
25+$1.260
100+$1.130
250+$1.050
500+$1.010
More Pricing...
2200R Series
15mH
Unshielded
54mA
-
51.7ohm
± 10%
58T5073

RoHS

Each
1+$1.140
10+$0.899
25+$0.877
50+$0.854
100+$0.811
More Pricing...
RL622 Series
15mH
Unshielded
40mA
-
37ohm
± 10%
31Y3980

RoHS

Date/Lot Code

Each
1+$1.740
10+$1.500
25+$1.400
50+$1.260
100+$1.110
More Pricing...
RFC1010 Series
15mH
Unshielded
170mA
230mA
19.5ohm
± 10%
58AK1903

RoHS

Each
1+$1.740
25+$1.670
100+$1.560
250+$1.410
500+$1.300
More Pricing...
WE-TI Series
15mH
Unshielded
100mA
150mA
60ohm
± 5%
46P8746

RoHS

Each
200+$0.731
400+$0.720
600+$0.710
1000+$0.685
2000+$0.663
More Pricing...
1300R Series
15mH
Unshielded
80mA
80mA
31ohm
± 10%
11R2203

RoHS

Each
250+$0.914
500+$0.895
750+$0.879
1250+$0.862
2500+$0.854
More Pricing...
1200LRS Series
15mH
Shielded
95mA
95mA
37ohm
± 15%
72T2739

RoHS

MURATA POWER SOLUTIONS
Each
1+$1.440
100+$1.150
250+$1.050
500+$0.961
1000+$0.897
1300R Series
15mH
Unshielded
80mA
80mA
31ohm
± 10%
61J7950

RoHS

Each
1170+$0.395
2340+$0.382
3510+$0.370
5850+$0.362
11700+$0.355
More Pricing...
RLB Series
15mH
Unshielded
-
82mA
15ohm
± 10%
31Y3946

RoHS

Date/Lot Code

Each
1+$1.750
10+$1.510
25+$1.390
50+$1.250
100+$1.110
More Pricing...
RFC0810 Series
15mH
Unshielded
142mA
170mA
27ohm
± 10%
31Y3830

RoHS

Date/Lot Code

Each
1+$1.950
25+$1.550
100+$1.240
250+$1.220
500+$1.190
More Pricing...
RFB0810 Series
15mH
Unshielded
140mA
110mA
32ohm
± 10%
31Y3909

RoHS

Date/Lot Code

Each
1+$1.240
10+$1.060
25+$0.974
50+$0.879
100+$0.783
More Pricing...
RFC0807 Series
15mH
Unshielded
100mA
160mA
45.5ohm
± 10%
1-13 of 13 items
of 1 page(s)

Popular Suppliers

MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
TDK